var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "StdAir at SourceForge", "index.html#at_sourceforge", null ],
      [ "StdAir Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support StdAir", "index.html#social_sponsorship", null ],
      [ "About StdAir", "index.html#about", null ]
    ] ],
    [ "BomAbstract", "a00002.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a00004.html", null ],
    [ "KeyAbstract", "a00006.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a00008.html", null ],
    [ "C++ Class Storing the StdAir Context", "a00010.html", null ],
    [ "People", "a00012.html", [
      [ "Project Admins (and Developers)", "a00012.html#admins", null ],
      [ "Retired Developers", "a00012.html#retired", null ],
      [ "Contributors", "a00012.html#contributors", null ],
      [ "Distribution Maintainers", "a00012.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a00014.html", [
      [ "Default Naming Rules for Variables", "a00014.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a00014.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a00014.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a00014.html#cr_files", null ],
      [ "Default Functionality of Classes", "a00014.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a00016.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a00016.html#gnugpl", [
        [ "Version 2.1, February 1999", "a00016.html#version", null ]
      ] ],
      [ "Preamble", "a00016.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a00016.html#terms", [
        [ "NO WARRANTY", "a00016.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a00016.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a00016.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a00018.html", [
      [ "General Rules", "a00018.html#doc_general", null ],
      [ "File Header", "a00018.html#doc_header", null ],
      [ "Grouping Various Parts", "a00018.html#doc_groups", null ]
    ] ],
    [ "Main features", "a00020.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a00020.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a00020.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a00022.html", null ],
    [ "Make a new release", "a00024.html", [
      [ "Introduction", "a00024.html#description", null ],
      [ "Initialisation", "a00024.html#initialisation", null ],
      [ "Branch creation", "a00024.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a00024.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a00024.html#trunk_update", null ],
      [ "Create distribution packages", "a00024.html#create_packages", null ],
      [ "Generation the RPM packages", "a00024.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a00024.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a00024.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a00024.html#upload_files", null ],
      [ "Upload the documentation to SourceForge", "a00024.html#upload_doc", null ],
      [ "Make a new post", "a00024.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a00024.html#send_announce", null ]
    ] ],
    [ "Installation", "a00026.html", [
      [ "Table of Contents", "a00026.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a00026.html#rpm_linux", null ],
      [ "StdAir Requirements", "a00026.html#requirements", null ],
      [ "Basic Installation", "a00026.html#basic_instructions", null ],
      [ "Compilers and Options", "a00026.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a00026.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a00026.html#installation_names", null ],
      [ "Optional Features", "a00026.html#optional_features", null ],
      [ "Particular systems", "a00026.html#particular_systems", null ],
      [ "Specifying the System Type", "a00026.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a00026.html#sharing_defaults", null ],
      [ "Defining Variables", "a00026.html#defining_variables", null ],
      [ "`cmake' Invocation", "a00026.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a00028.html", [
      [ "Introduction", "a00028.html#intro", null ],
      [ "Using the pkg-config command", "a00028.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a00028.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a00028.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a00028.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a00030.html", [
      [ "The Test Source Files", "a00030.html#test_source", null ],
      [ "The Reference File", "a00030.html#reference_file", null ],
      [ "Testing StdAir Library", "a00030.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a00032.html", [
      [ "Table of Contents", "a00032.html#ug_toc", null ],
      [ "Introduction", "a00032.html#ug_introduction", null ],
      [ "Get Started", "a00032.html#ug_get_started", [
        [ "Get the StdAir library", "a00032.html#ug_get_source", null ],
        [ "Build the StdAir project", "a00032.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a00032.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a00032.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a00032.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a00032.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a00032.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a00032.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a00032.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a00032.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a00032.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a00034.html", [
      [ "StdAir 3.10.x", "a00034.html#stdair_3_10", [
        [ "Linux Systems", "a00034.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a00034.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a00034.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a00034.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a00034.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a00034.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a00034.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a00034.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a00034.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a00034.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a00034.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a00034.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a00034.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a00034.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a00034.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a00034.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a00034.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a00034.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a00036.html", [
      [ "StdAir 3.9.1", "a00036.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a00036.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a00036.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a00038.html", [
      [ "Table of Contents", "a00038.html#tut_toc", null ],
      [ "Introduction", "a00038.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a00038.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a00038.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a00038.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a00038.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a00038.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a00038.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a00038.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a00038.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a00038.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a00038.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a00038.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a00038.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a00040.html", null ],
    [ "Specific Implementation of a BOM Root", "a00042.html", null ],
    [ "Specific Implementation of a BOM Root", "a00044.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00046.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00048.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a00050.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", null, [
      [ "Class List", "annotated.html", "annotated" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00058.html",
"a00077.html#a5d373e23ec46c213afbd47e2b77fb075",
"a00099.html#a515f3ed2216045fc962c9071ce2831c5",
"a00122.html#aaf1d56bd7032291d01930427954f7ca4",
"a00141.html",
"a00161.html#af9e08933f4c33a13af30e187be9e8502",
"a00176.html#a7e1454d21babe2407d8b516a4acf657f",
"a00189.html#ac98d07dd8f7b70e16ccb9a01abf56b9c",
"a00204.html#affd4bebae3e65f399cbe609ac458edcd",
"a00238.html#a6c918da3d250462d21227fbaca530c4c",
"a00246.html#af39c23bd8d9a5aa95f75e7f997b5af25",
"a00343.html#a4f856d999ece4dac721ce2278072a0da",
"a00435.html",
"a00516.html",
"a00544.html#a288fd7fc4006868dee11013657cc843d"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';